# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

#%define repodir %{_javadir}/repository.jboss.com/org/jboss/ejb3/jboss-ejb3-context/%{version}-brew
#%define repodirlib %{repodir}/lib
#%define repodirsrc %{repodir}/src

%define section free
%define namedversion 5.1.0.GA
%define delaymodules 1

Name:           jboss5-libs
Version:        5.1.0
Release:        1.6%{?dist}
Epoch:          0
Summary:        JBoss libraries
License:        LGPLv2+
Group:          Development/Java
URL:            http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/tags/JBoss_5_1_0_GA
Source0:        JBoss_5_1_0_GA.tar.gz
Source1:        jboss5-jpp-depmap.xml
Source2:        jboss5-settings.xml

Patch0:         jboss5-jmx-pom.patch
Patch1:         jboss5-delay-modules.patch
Patch2:         jboss5-include-embedded.patch
Patch3:         jboss5-tomcat-TomcatService.patch
Patch4:         jboss5-embedded-adapters-JMXKernel.patch
Patch5:         jboss5-embedded-pom.patch
Patch6:		jboss5-iiop-pom_xml.patch
# FIXME in 5.0.1 (mbenitez) This patch avoids building iiop
Patch7:		jboss5-pom_xml.patch

BuildArch:      noarch
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
Requires:       jboss-naming
Requires:       jboss-parent
Requires:       jboss-security-spi
Requires:       jbosssx2
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  jboss-parent
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-idlj
BuildRequires:  mojo-maven2-plugin-javacc
BuildRequires:  mojo-maven2-plugin-jboss-packaging
BuildRequires:  mojo-maven2-plugin-rmic
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires:  xalan-j2
BuildRequires:  jacorb-jboss
BuildRequires:	jacorb
#BuildRequires:  jsf_1_2_api
#BuildRequires:  jboss-jaxr
#BuildRequires:  jbossts
#BuildRequires:  jbossws-common
#BuildRequires:  jbossws-framework
#BuildRequires:  jbossws-spi
#BuildRequires:  jboss-messaging
#BuildRequires:  jbossweb
#BuildRequires:  jgroups
#BuildRequires:  junit
#BuildRequires:  hibernate3-annotations
#BuildRequires:  hibernate3-commons-annotations
#BuildRequires:  hibernate3-ejb-persistence-3.0-api
#BuildRequires:  hibernate3-entitymanager
#BuildRequires:  hibernate3-validator
BuildRequires:  hibernate3
#BuildRequires:  jboss-aop2
#BuildRequires:  jboss-current-invocation-aspects
#BuildRequires:  jboss-remoting-aspects
#BuildRequires:  jboss-security-aspects
#BuildRequires:  jboss-transaction-aspects
BuildRequires:	jboss-transaction-1.0.1-api
#BuildRequires:  jboss-cache-core
#BuildRequires:  jboss-cache-pojo
#BuildRequires:  jboss-cl
#BuildRequires:  jboss-cluster-ha-server-cache-jbc
#BuildRequires:  jboss-cluster-ha-server-cache-spi
#BuildRequires:  jboss-cluster-ha-client
#BuildRequires:  jboss-cluster-ha-server-api
#BuildRequires:  jboss-ejb3-common
#BuildRequires:  jboss-ejb3-core
#BuildRequires:  jboss-ejb3-proxy-clustered
#BuildRequires:  jboss-ejb3-proxy-impl
#BuildRequires:  jboss-ejb3-proxy-spi
#BuildRequires:  jboss-ejb3-security
#BuildRequires:  jboss-ejb3-endpoint-deployer
#BuildRequires:  jbossxb
#BuildRequires:  jboss-logbridge
#BuildRequires:  jboss-logmanager
#BuildRequires:  jboss-man
#BuildRequires:  jboss-mdr
#BuildRequires:  jboss-metadata
#BuildRequires:  jboss-microcontainer2
#BuildRequires:  jboss-naming
#BuildRequires:  jboss-reflect
#BuildRequires:  jboss-remoting
#BuildRequires:  jboss-security
#BuildRequires:  jboss-vfs
#BuildRequires:  slf4j
#BuildRequires:  stax-ex
#BuildRequires:  sun-streambuffer
#BuildRequires:  glassfish-jaxws
BuildRequires:  glassfish-jaxb
#BuildRequires:  xdoclet

BuildRequires:  concurrent
BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jboss-integration
BuildRequires:  jboss-profiler
BuildRequires:  jboss-test

BuildRequires:  ant-junit

BuildRequires:  junit

BuildRequires:  jboss-deployers
BuildRequires:  jboss-bootstrap

BuildRequires:  jboss-ejb-3.0-api
#BuildRequires:  jbossws
BuildRequires:  jbosssx2
BuildRequires:  jboss-security-spi
BuildRequires:  xml-security
BuildRequires:  jboss-jaspi-1.0-api
BuildRequires:  jboss-security-xacml
BuildRequires:  jboss-jacc-1.1-api
BuildRequires:  jboss-naming
BuildRequires:  jboss-javaee
BuildRequires:  jboss-javaee-poms
BuildRequires:  jboss-jms-1.1-api

BuildRequires:  xml-security

BuildRequires:  jboss-jad-1.2-api
BuildRequires:  jboss-metadata
BuildRequires:  gjt-jpl-pattern
BuildRequires:  gjt-jpl-util

BuildRequires:  javacc

BuildRequires:  jboss-jpa-deployers

BuildRequires:  jboss-logbridge

BuildRequires:  jboss-cluster-ha-client
BuildRequires:  jboss-cluster-ha-server-api
BuildRequires:  jboss-cluster-ha-server-cache-spi
BuildRequires:  jboss-cluster-ha-server-cache-jbc
BuildRequires:	hsqldb
BuildRequires:  opensaml
BuildRequires:	velocity
BuildRequires:  avalon-framework
#BuildRequires:	excalibur-avalon-logkit
BuildRequires:	avalon-logkit
BuildRequires:  geronimo-jaxrpc-1.1-api
BuildRequires:  glassfish-jaxws
BuildRequires:  sun-saaj-1.3-api
BuildRequires:  slf4j
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-site-plugin
%description
JBoss libraries.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n JBoss_5_1_0_GA
%patch0 -b .sav0
%if %{delaymodules}
%patch1 -b .sav1
%patch7 -b .sav7
%else
%patch2 -b .sav2
%endif
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
#%patch7 -b .sav7

find . -name "*.jar" -exec rm -f {} \;

%build
cp %{SOURCE2} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/JPP/
mkdir -p $MAVEN_REPO_LOCAL/org/jboss/jboss-parent/4/
#cp %{SOURCE3} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.jboss-jboss-parent.pom
#cp %{SOURCE3} $MAVEN_REPO_LOCAL/org/jboss/jboss-parent/4/jboss-parent-4.pom
mkdir -p $MAVEN_REPO_LOCAL/org.jboss.jbossas/
ln -sf  $MAVEN_REPO_LOCAL/org/jboss/jbossas/jboss-as-j2se/%{namedversion}/jboss-as-j2se-%{namedversion}-tests.jar $MAVEN_REPO_LOCAL/org.jboss.jbossas/jboss-as-j2se-tests.jar
ln -sf  $MAVEN_REPO_LOCAL/org/jboss/jbossas/jboss-as-j2se/%{namedversion}/jboss-as-j2se-%{namedversion}-tests.jar $MAVEN_REPO_LOCAL/JPP/jboss-as-j2se-tests.jar
mkdir -p $MAVEN_REPO_LOCAL/javax.security/
ln -sf  %{java_home}/jre/lib/rt.jar $MAVEN_REPO_LOCAL/javax.security/jaas.jar
ln -sf  %{java_home}/jre/lib/rt.jar $MAVEN_REPO_LOCAL/JPP/jaas.jar

export MAVEN_OPTS="-Xmx384m"
pushd j2se
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd mbeans
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd jmx
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd system
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd system-jmx
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd security
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd deployment
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

pushd server
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        install 
popd

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
         install deploy:deploy

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dskip-enforce \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        javadoc:javadoc 


%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 cluster/target/jboss-as-cluster-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/cluster-%{version}.jar
install -m 644 cluster/target/jboss-as-cluster-%{namedversion}-jboss-ha-legacy-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ha-legacy-client-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-cluster %{namedversion} JPP/%{name} cluster
install -m 644 deployment/target/jboss-as-deployment-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/deployment-%{version}.jar
install -m 644 deployment/target/jboss-as-deployment-%{namedversion}-jboss-jsr88.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jsr88-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-deployment %{namedversion} JPP/%{name} deployment
# FIXME in 5.0.1 (mbenitez) This patch avoids building iiop
#install -m 644 iiop/target/jboss-as-iiop-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/iiop-%{version}.jar
#install -m 644 iiop/target/jboss-as-iiop-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/iiop-client-%{version}.jar
#%add_to_maven_depmap org.jboss.jbossas jboss-as-iiop %{namedversion} JPP/%{name} iiop
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/j2se-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-jboss-jmx-compliance.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/j2se-jmx-compliance-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-jmxcompliance-MoreMBeans.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmxcompliance-MoreMBeans-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-jmxcompliance-MyMBeans2.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmxcompliance-MyMBeans2-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-jmxcompliance-MyMBeans.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmxcompliance-MyMBeans-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-jmxcompliance-Test.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmxcompliance-Test-%{version}.jar
install -m 644 j2se/target/jboss-as-j2se-%{namedversion}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/j2se-tests-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-j2se %{namedversion} JPP/%{name} j2se
%add_to_maven_depmap org.jboss.jbossas jboss-as-j2se-tests %{namedversion} JPP/%{name} j2se-tests
install -m 644 jbossas/jmx-remoting/target/jboss-as-jbossas-jmx-remoting-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossas-jmx-remoting-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-jbossas-jmx-remoting %{namedversion} JPP/%{name} jbossas-jmx-remoting
install -m 644 jbossas/remoting/target/jboss-as-jbossas-remoting-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jbossas-remoting-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-jbossas-remoting %{namedversion} JPP/%{name} jbossas-remoting
install -m 644 jmx-remoting/target/jboss-as-jmx-remoting-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-remoting-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-jmx-remoting %{namedversion} JPP/%{name} jmx-remoting
install -m 644 jmx/target/jboss-as-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-%{version}.jar
install -m 644 jmx/target/jboss-as-jmx-%{namedversion}-jboss-jmx-testsuite.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/jmx-testsuite-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-jmx %{namedversion} JPP/%{name} jmx
install -m 644 main/target/jboss-as-main-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/main-%{version}.jar
install -m 644 main/target/jboss-as-main-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/main-client-%{version}.jar
install -m 644 main/target/jboss-as-main-%{namedversion}-log4j-boot.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/main-log4j-boot-%{version}.jar
install -m 644 main/target/jboss-as-main-%{namedversion}-run.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/main-run-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-main %{namedversion} JPP/%{name} main
install -m 644 mbeans/target/jboss-as-mbeans-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/mbeans-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-mbeans %{namedversion} JPP/%{name} mbeans
install -m 644 security/target/jboss-as-security-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/security-%{version}.jar
install -m 644 security/target/jboss-as-security-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/security-client-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-security %{namedversion} JPP/%{name} security
install -m 644 server/target/jboss-as-server-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-client-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-jboss.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-jboss-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-jboss-minimal.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-jboss-minimal-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-jmx-adaptor-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-jmx-adaptor-plugin-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-jmx-invoker-adaptor-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-jmx-invoker-adaptor-client-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-shutdown.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-shutdown-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-testsuite-support-%{version}.jar
install -m 644 server/target/jboss-as-server-%{namedversion}-verifier.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/server-verifier-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-server %{namedversion} JPP/%{name} server
install -m 644 system-jmx/target/jboss-as-system-jmx-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-jmx-%{version}.jar
install -m 644 system-jmx/target/jboss-as-system-jmx-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-jmx-client-%{version}.jar
install -m 644 system-jmx/target/jboss-as-system-jmx-%{namedversion}-testsuite-support.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-jmx-testsuite-support-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-system-jmx %{namedversion} JPP/%{name} system-jmx
install -m 644 system/target/jboss-as-system-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-%{version}.jar
install -m 644 system/target/jboss-as-system-%{namedversion}-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/system-client-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-system %{namedversion} JPP/%{name} system
install -m 644 varia/target/jboss-as-varia-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-autonumber-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-autonumber-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-counter-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-counter-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-deployment-service.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-deployment-service-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-deployment-service-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-deployment-service-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-derby-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-derby-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-foe-deployer-3.2-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-foe-deployer-3.2-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-hsqldb.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-hsqldb-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-hsqldb-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-hsqldb-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-httpa-invoker-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-httpa-invoker-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-http-invoker-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-http-invoker-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-bean-deployer.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-bean-deployer-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-bindingservice.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-bindingservice-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jbossjmx-ant.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jbossjmx-ant-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-monitoring.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-monitoring-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-samlsso.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-samlsso-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-srp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-srp-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-jboss-srp-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-jboss-srp-client-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-logging-monitor.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-logging-monitor-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-mail-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-mail-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-mbean-configurator-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-mbean-configurator-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-persistent-service-sar.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-persistent-service-sar-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-process-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-process-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-properties-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-properties-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-scheduler-plugin.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-scheduler-plugin-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-scheduler-plugin-example.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-scheduler-plugin-example-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-snmp-adaptor.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-snmp-adaptor-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-statscollector.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-statscollector-%{version}.jar
install -m 644 varia/target/jboss-as-varia-%{namedversion}-xmlentitymgr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/varia-xmlentitymgr-%{version}.jar
%add_to_maven_depmap org.jboss.jbossas jboss-as-varia %{namedversion} JPP/%{name} varia

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)


# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 component-matrix/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-component-matrix.pom
%add_to_maven_depmap org.jboss.jbossas jboss-as-component-matrix %{namedversion} JPP/%{name} component-matrix
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.jboss.jbossas jboss-as-parent %{namedversion} JPP/%{name} parent
install -m 644 cluster/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cluster.pom
install -m 644 deployment/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-deployment.pom
# FIXME in 5.0.1 (mbenitez) This patch avoids building iiop
#install -m 644 iiop/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-iiop.pom
install -m 644 j2se/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-j2se.pom
install -m 644 jbossas/jmx-remoting/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jbossas-jmx-remoting.pom
install -m 644 jbossas/remoting/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jbossas-remoting.pom
install -m 644 jmx-remoting/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmx-remoting.pom
install -m 644 jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-jmx.pom
install -m 644 main/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-main.pom
install -m 644 mbeans/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-mbeans.pom
install -m 644 security/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-security.pom
install -m 644 server/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server.pom
install -m 644 system-jmx/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-system-jmx.pom
install -m 644 system/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-system.pom
install -m 644 varia/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-varia.pom
## END OF CORE ONLY STUFF


# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
for m in \
	cluster \
	deployment \
	j2se \
	jbossas/jmx-remoting \
	jbossas/remoting \
	jmx-remoting \
	jmx \
	main \
	mbeans \
	security \
	server \
	system-jmx \
	system \
	varia \
	; do
# FIXME in 5.0.1 (mbenitez) This patch avoids building iiop
#       iiop \        
  n=$(echo $m | sed -e 's|/|-|g')
  install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$n
  cp -pr $m/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/$n
done
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}*/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Jan 21 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-1.6
- Add basic repolib
- Add BR maven-deploy-plugin

* Thu Jan 20 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-1.5
- Specify only jar files should be included in main package

* Thu Jan 20 2011 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-1.4
- Remove javadoc from main package
- Change BR javacc3 to javacc

* Wed Jan 5 2011 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.0-1.3.2.3
- Rebuild 

* Wed Dec 22 2010 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.0-1.3.2.2
- Build with Maven 2.2.1
- Fix %%files for signed jars
- Add the line to find and remove any binaries
- Add BR maven-shared-reporting-impl, add it's depmap entry
- Add BR maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-1.3.2.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhatc.om> 0:5.1.0-1.3.2
- Rebuild
- Add BR: jboss-profiler
- Chang BR: excalibur-avalon-logkit to BR: avalon-logkit
- Fix depmap entry for dtdparser and ejb3-persistence

* Wed Jan 27 2010 Yong Yang <yyang@redhat.com> 0:5.1.0-1.3.1
- BR jboss-javaee, jboss-javaee, jboss-javaee-poms, jboss-jms-1.1-api, geronimo-jaxrpc-1.1-api, glassfish-jaxws, sun-saaj-1.3-api, slf4j
- Comment jbossws
- Add needed depmaps

* Thu Sep 17 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-1.3
- add maven depmap for jboss-as-j2se-tests

* Fri Aug 28 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-1.2
- add some Requires
- use external jboss-parent

* Thu Aug 20 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-1.1
- switch jbossws-native requirement to jbossws
- Uncomment glassfish-jaxb, hibernate3, jacorb-jboss
- Change location of jboss-parent pom file
- Create symlink to jboss-as-j2se-tests.jar and jaas.jar
- Add BR jboss-transaction-1.0.1-api, velocity, hsqldb, excalibur-avalon-logkit
- Add patch for jacidl in iiop pom file
- Add patch to avoid building iiop and comment all references to it

* Mon Aug 03 2009 Ralph Apel <r.apel@r-apel.de> - 0:5.1.0-1.jpp5
- first release
